org.apache.maven.scm.provider.git.gitexe.command

## Class AbstractFileCheckingConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.AbstractFileCheckingConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

Direct Known Subclasses:
  GitListConsumer

    public abstract class AbstractFileCheckingConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: AbstractFileCheckingConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Kenney Westerhof

### Field Summary

Fields
`protected ScmLogger` `logger`
`protected int` `revision`
`protected File` `workingDirectory`

### Constructor Summary

Constructors
Constructor and Description
`AbstractFileCheckingConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`protected void` `addFile(ScmFile file)`
`void` `consumeLine(String line)`
`protected List` `getFiles()`
`int` `getRevision()`
`protected int` `parseInt(String revisionString)`
`protected abstract void` `parseLine(String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected ScmLogger logger

#### workingDirectory

    protected File workingDirectory

#### revision

    protected int revision

### Constructor Detail

#### AbstractFileCheckingConsumer

    public AbstractFileCheckingConsumer(ScmLogger logger,
                                File workingDirectory)

### Method Detail

#### consumeLine

    public final void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### parseLine

    protected abstract void parseLine(String line)

#### getFiles

    protected List getFiles()

#### parseInt

    protected final int parseInt(String revisionString)

#### addFile

    protected void addFile(ScmFile file)

#### getRevision

    public final int getRevision()